## autoaudiosrc autoaudiosrc |

## Types and Values

| GstAutoAudioSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstAutoDetect
                            ╰── GstAutoAudioSrc

## Implemented Interfaces

GstAutoAudioSrc implements GstChildProxy.

## Description

autoaudiosrc is an audio source that automatically detects an appropriate audio source to use. It does so by scanning the registry for all elements that have “Source” and “Audio” in the class field of their element information, and also have a non-zero autoplugging rank.

### Example launch line

    1
    gst-launch-1.0 -v -m autoaudiosrc ! audioconvert ! audioresample ! autoaudiosink

## Synopsis

### Element Information

plugin | autodetect
author | Jan Schmidt <thaytan@noraisin.net>, Stefan Kost <ensonic@users.sf.net>
class | Source/Audio

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### GstAutoAudioSrc

    typedef struct _GstAutoAudioSrc GstAutoAudioSrc;

## See Also

autovideosrc, alsasrc, osssrc